Package ru.bitel.bgbilling.modules.voiceip.server.task

# Class VoiceipBalanceSetter

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<BalanceSetter>
ru.bitel.bgbilling.modules.voiceip.server.task.VoiceipBalanceSetter

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class VoiceipBalanceSetter extends RunTaskRecalculator<BalanceSetter>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `dt, email, mid`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceipBalanceSetter(int moduleId, Calendar dt, String email)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BalanceSetter`
  `createTask()`
  `void`
  `executeTask()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `getDescription`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceipBalanceSetter

    public VoiceipBalanceSetter(int moduleId, Calendar dt, String email)

- ## Method Details

  - ### executeTask

    public void executeTask()
    Overrides:
      `executeTask` in class `RunTaskRecalculator<BalanceSetter>`

  - ### createTask

    protected BalanceSetter createTask()
    Specified by:
      `createTask` in class `RunTaskRecalculator<BalanceSetter>`